image: alpine/edge
packages:
  - wget
  - tar
  - zstd
  - gpg
  - clang
  - lld
  - xz
  - wine
sources:
  - https://hg.sr.ht/~mrpapersonic/minori
  - https://github.com/holyblackcat/quasi-msys2
environment:
  BUILD_SUBMITTER: hg.sr.ht
tasks:
  - build: |
      cd quasi-msys2
      echo MINGW32 >msystem.txt
      make install _gcc _qt5-base _curl
      cd ../minori
      mkdir build
      cd build
      bash -c 'source env/all.src && cmake .. -G "Unix Makefiles" && make'
triggers:
  - action: email
    condition: failure
    to: Paper <mrpapersonic@gmail.com>
